main: introduce vStringNewPrintf() vStringNewVPrintf()

Signed-off-by: Masatake YAMATO <yamato@redhat.com>
main: delay reporing "Language already defined" fatal error till parsing starts

Close #2935.

Signed-off-by: Masatake YAMATO <yamato@redhat.com>
main: delay reporing "Language already defined" fatal error till parsing starts

Close #2935.

Signed-off-by: Masatake YAMATO <yamato@redhat.com>
main: delay reporing "Language already defined" fatal error till parsing starts

Close #2935.

Signed-off-by: Masatake YAMATO <yamato@redhat.com>
main: delay reporing "Language already defined" fatal error till parsing starts

Close #2935.

Signed-off-by: Masatake YAMATO <yamato@redhat.com>
main: delay reporing "Language already defined" fatal error till parsing starts

Close #2935.

Signed-off-by: Masatake YAMATO <yamato@redhat.com>
main: delay reporing "Language already defined" fatal error till parsing starts

Close #2935.

Signed-off-by: Masatake YAMATO <yamato@redhat.com>
main: delay reporing "Language already defined" fatal error till parsing starts

Close #2935.

Signed-off-by: Masatake YAMATO <yamato@redhat.com>
main: make --verison and --help options work even if a broken .ctags is given

Here "broken" means .ctags redefines an existing language with --langdef
option like --langdef=C.

Close #2935.

Signed-off-by: Masatake YAMATO <yamato@redhat.com>
main: make --verison and --help options work even if a broken .ctags is given

Here "broken" means .ctags redefines an existing language with --langdef
option like --langdef=C.

Close #2935.

Signed-off-by: Masatake YAMATO <yamato@redhat.com>
main: make --verison and --help options work even if a broken .ctags is given

Here "broken" means .ctags redefines an existing language with --langdef
option like --langdef=C.

Close #2935.

Signed-off-by: Masatake YAMATO <yamato@redhat.com>
